<?php


namespace App\Components\Forms;


use App\Model\Facades\SiteFacade;
use App\Model\Translator;

abstract class ForumForm extends BaseForm
{
    public $onSave;
    public $onError;

    /** @var SiteFacade */
    protected $siteFacade;

    public function __construct(Translator $translator, SiteFacade $siteFacade)
    {
        parent::__construct($translator);
        $this->siteFacade = $siteFacade;
    }


    protected function setupForm() : BootstrapForm
    {
        $form =  parent::setupForm();
        $form->addText('name', 'Name')->setRequired();
        $form->addTextArea('description', 'Description');

        return $form;
    }
}